{
	"name": "nextcloud/repod",
	"description": "🔊 Browse, manage and listen to podcasts",
	"type": "project",
	"license": "AGPL-3.0-or-later",
	"version": "2.2.0",
	"require-dev": {
		"nextcloud/ocp": "^29.0.0",
		"psalm/phar": "^5.24.0",
		"nextcloud/coding-standard": "^1.2.1"
	},
	"scripts": {
		"lint": "find . -name \\*.php -not -path './vendor/*' -print0 | xargs -0 -n1 php -l",
		"cs:check": "php-cs-fixer fix --dry-run --diff",
		"cs:fix": "php-cs-fixer fix",
		"psalm:check": "psalm.phar --threads=1 --no-cache --show-info=true",
		"psalm:fix": "psalm.phar --no-cache --alter --issues=InvalidReturnType,InvalidNullableReturnType,MissingParamType,InvalidFalsableReturnType"
	},
	"autoload": {
		"psr-4": {
			"OCA\\RePod\\": "lib/",
			"OCA\\GPodderSync\\": "stubs/OCA/GPodderSync/"
		}
	},
	"config": {
		"platform": {
			"php": "8.0"
		}
	}
}
